source_options

Options for creating a source node for a sender or receiver. More...

`#include <source_options.hpp>`

## Public Member Functions

| source_options ()
| Create an empty set of options.
| source_options (const source_options &)
| Copy options.
source_options & | operator= (const source_options &)
| Copy options.
source_options & | address (const std::string &)
| Set the address for the source. Ignored if dynamic is true.
source_options & | dynamic (bool)
| Request a dynamically created node to be created by the remote peer. More...
source_options & | distribution_mode (enum source::distribution_mode)
| Control whether messsages are browsed or consumed.
source_options & | durability_mode (enum source::durability_mode)
| Control the persistence of source state.
source_options & | timeout (duration)
| The expiry period after which the source is discarded.
source_options & | expiry_policy (enum source::expiry_policy)
| Control when the clock for expiration begins.
source_options & | filters (const source::filter_map &)
| Experimental - Specify a filter mechanism on the source that restricts message flow to a subset of the available messages. More...

## Detailed Description

Options for creating a source node for a sender or receiver.

Options can be "chained" (

See also
  proton::connection_options).

Normal value semantics: copy or assign creates a separate copy of the options.

Examples:
  broker.cpp, broker.hpp, client.cpp, server_direct.cpp, and service_bus.cpp.

## Member Function Documentation

## dynamic()

source_options& dynamic | ( | bool |  | ) |

Request a dynamically created node to be created by the remote peer.

Any specified source address is ignored.

## filters()

source_options& filters | ( | const source::filter_map & |  | ) |

Experimental - Specify a filter mechanism on the source that restricts message flow to a subset of the available messages.

The documentation for this class was generated from the following file:

- proton/source_options.hpp